* { box-sizing: border-box; }

html {
  position:relative;
  min-height:135vh;
}

body { 
  font-family: sans-serif; 
  display:flex;
  flex-direction:column;

}

.background {
position:absolute;
top:0px;
left:0px;
z-index:-1000;
 background-image:url('../img/indexbg.jpg');

 filter: blur(4px);

 height: 100%;
 width:98.9vw;
 
 background-position: center;
 background-repeat: no-repeat;
 background-size: cover;
}

#maincontent 
{
  display:flex;
  flex-direction:row;
  padding-left:2%;
  padding-top:5px;
  width:calc(100vw - 2%);
  height:30vw;
  max-height:400px;
}
#maincontent p {
  max-width:691px;
}

#maincontent h1 {
  text-align:center;
}

#titletext {
  display:inline-flex;
  flex-direction:column;
  align-content:center;
  font-size:0.8em;
  width:33%;
  padding-left:1px;
  padding-right:2%;
  max-width:600px;

}

#maincontent img {
  width:29.5%;
  margin-right:4%;
  margin-top:2%;
  padding-bottom:1%;
  max-height:300px;
  max-width:calc(400px - 2%);
}

#histogramcontainer {
  display:flex;
  flex-direction:column;
  display: -webkit-flex;
  display:         flex;
  -webkit-justify-content: center;
          justify-content: center;
  -webkit-align-items: center;
          align-items: center;
  width:33%;
  height:60%;
  max-height:400px;
  max-width:600px;
  margin-top:1.5%;
  margin-bottom:6vh;
}

#histogramcontainer p {
  font-size:0.8em;
  padding-top:5px;
  max-width:432px;
}

.carousel {
  background: rgb(0,0,0,0.2);
}

.carousel-cell {
  width: 70%;
  height: 200px;
  /* flex-box, center image in cell */
  flex-direction:column;
  display: -webkit-box;
  display: -webkit-flex;
  display:         flex;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
          justify-content: center;
  -webkit-align-items: center;
          align-items: center;
}

.carousel-cell img {
  display: block;
  max-width: 100%;
  max-height: 100%;
  /* dim unselected */
  opacity: 0.7;
  -webkit-transform: scale(0.80);
          transform: scale(0.80);
  -webkit-filter: blur(5px);
          filter: blur(5px);
  -webkit-transition: opacity 0.3s, -webkit-transform 0.3s, transform 0.3s, -webkit-filter 0.3s, filter 0.3s;
          transition: opacity 0.3s, transform 0.3s, filter 0.3s;
}
.carousel-cell p {
  opacity:0.7;
  -webkit-filter: blur(3px);
  -webkit-transition: opacity 0.3s, -webkit-transform 0.3s, transform 0.3s, -webkit-filter 0.3s, filter 0.3s;
          transition: opacity 0.3s, transform 0.3s, filter 0.3s;
  -webkit-transform: scale(0);
          transform: scale(0);
}

/* brighten selected image */
.carousel-cell.is-selected img {
  opacity: 1;
  -webkit-transform: scale(1);
          transform: scale(1);
  -webkit-filter: none;
          filter: none; 

}

.carousel-cell.is-selected p {
  opacity:1;
  -webkit-transform: scale(1);
          transform: scale(1);
  -webkit-filter: none;
          filter: none;
}

/* buttons, no circle */
.flickity-prev-next-button {
  width: 60px;
  height: 60px;
  background: grey;
  opacity: 0.6;
}
.flickity-prev-next-button:hover {
  background: transparent;
  opacity: 1;
}
/* arrow color */
.flickity-prev-next-button .arrow {
  fill: black;
}
.flickity-prev-next-button.no-svg {
  color: white;
}
/* closer to edge */
.flickity-prev-next-button.previous { left: 0; }
.flickity-prev-next-button.next { right: 0; }
/* hide disabled button */
.flickity-prev-next-button:disabled {
  display: none;
}

.carouseltxt {
  color:white;
  font-size:0.8em;
  max-width:80%;
  display:block;
  height:calc(100% - 400px);
  padding-top:10px;
}
#carouselcontainer {
  padding-bottom:30px;
}

#CGU {
  background:black;
}

#CGU div {
  padding:10px;
  color:grey;
}


canvas {
  display:block;
  height:50%;
  width:90%;
  background:black;
  max-height:140px;
  max-width:447px;
}

nav {
  display:flex;
  flex-direction:row;
  justify-content:center;
  align-items:center;
  width:100%;
  background:black;
  height:25px;
}
nav a {
  text-align:center;
  display:block;
  width:33%;
}


footer{
    text-align: center;
    align-content: center;
    position: absolute;
    bottom:0;
    left: 0;
    right: 0;
    width: 100%;
}

@media screen and (max-width: 1600px) {
  #titletext p{
    display:inline-block;
    font-size:1em;
    padding-bottom:6px;
  }
}


  
@media screen and (max-width: 1200px) {
  #maincontent img {
    max-height:300px;
  }
  #titletext h1 {
    font-size:1.2em;
  }
  #histogramcontainer h2 {
    font-size:1em;
  }

  #histogramcontainer p {
    font-size:0.8em;
  }

  #titletext p{
    display:inline-block;
    font-size:1em;
    line-height:14px;
    padding-bottom:6px;
  }
}


@media screen and (max-width: 1050px) {

  #titletext h1 {
    font-size:1em;
  }
  #histogramcontainer h2 {
    font-size:0.8em;
  }
  #histogramcontainer p {
    font-size:0.6em;
  }

  #titletext p{
    display:inline-block;
    font-size:0.7em;
    line-height:12px;
    padding-bottom:6px;
  }
  #carouselcontainer {
    padding-top:15px;
  }
}

@media screen and (max-width: 800px) {

  #titletext h1 {
    font-size:0.8em;
  }
  #histogramcontainer h2 {
    font-size:0.6em;
  }

  #titletext p{
    display:inline-block;
    font-size:0.5em;
    line-height:10px;
    padding-bottom:6px;
  }
  #carouselcontainer {
    padding-top:15px;
  }
    #histogramcontainer p {
    font-size:0.5em;
  }
}


@media screen and ( max-width: 700px ) {
  #agentpic {
    width:50%;
  }
  #carouselcontainer {
    max-height: 300px;
    padding-bottom:30px;
  }
  .carousel {
    height: 250px;
    margin-top:90px;
  }
  .carousel-cell img {
    height:40%;
  }
    .carouseltxt {
    font-size:0.6em;
    max-width:60%;
  }
  #titletext h1 {
    font-size:0.8em;
  }
  #histogramcontainer h2 {
    font-size:0.58em;
  }
  #histogramcontainer {
    padding-top:22px;
  }

  #titletext p{
    display:inline-block;
    font-size:0.4em;
    line-height:6px;
    padding-bottom:6px;
  }
  #carouselcontainer {
    padding-top:15px;
  }
    #histogramcontainer p {
    font-size:0.4em;
  }
  footer {
    font-size:0.4em;
    margin-top:80px;
  }
  }

  @media screen and (max-width: 600px) {

    #titletext h1 {
      font-size:0.8em;
    }
    #histogramcontainer h2 {
      font-size:0.6em;
    }

    #titletext p{
      display:inline-block;
      font-size:0.4em;
      line-height:7px;
      padding-bottom:6px;
    }
    #carouselcontainer {
      padding-top:10px;
    }
    #histogramcontainer p {
      font-size:0.3em;
    }
  }



@media screen and ( min-width: 768px ) {
  .carousel-cell {
    height: 400px;

  }
}

@media screen and ( min-width: 960px ) {
  .carousel-cell {
    width: 40%;
  }
}